---
title: Retrieve API specification
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/swagger/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/swagger.png
---

# Retrieve API specification

GET

/swagger

Select code sample

```sh
curl --request GET \
  --url https://api.wpengineapi.com/v1/swagger
```

-

Returns the current Swagger specification for the API. This endpoint doesn’t require authentication.

## Responses

### 200

Returns the current specification document.

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
